#include <cassert>
#include <cmath>
#include <ufc.h>

// Common sub-expression elimination pass took 3 minutes and 54.08 seconds (wall clock).

class ExcafeCellIntegral_0 : public ufc::cell_integral
{
public:
  void tabulate_tensor(double* const A, const double* const* w, const ufc::cell& c) const
  {
    const double * const * x = c.coordinates;

    const double var_0 = -x[0][0];
    const double var_1 = x[1][0] + var_0;
    const double var_2 = -x[0][1];
    const double var_3 = x[1][1] + var_2;
    const double var_4 = x[2][0] + var_0;
    const double var_5 = x[2][1] + var_2;
    const double var_6 = var_1*var_5;
    const double var_7 = var_3*var_4;
    const double var_8 = var_6 + var_7;
    const double var_9 = var_1*var_1*var_4 + 0.5000000000000000000000000*var_3*var_8;
    const double var_10 = -var_4*w[0][17];
    const double var_11 = var_1*w[0][15];
    const double var_12 = var_10 + var_1*w[0][13] + var_11;
    const double var_13 = -var_3*var_4 + var_6;
    const double var_14 = var_13;
    const double var_15 = std::abs(var_14);
    const double var_16 = var_4*w[0][4] + var_5*w[0][14];
    const double var_17 = var_1*var_4;
    const double var_18 = var_3*var_5;
    const double var_19 = var_17 + var_18;
    const double var_20 = 3.0000000000000000000000000*var_3*var_4 + var_6;
    const double var_21 = 3.0000000000000000000000000*var_1*var_5 + var_7;
    const double var_22 = -var_3*var_3*var_4*w[0][18] + var_1*var_1*var_5*w[0][8];
    const double var_23 = var_4*var_4 + var_5*var_5;
    const double var_24 = var_5*w[0][9];
    const double var_25 = -var_4*w[0][19] + var_24;
    const double var_26 = 2.0000000000000000000000000*var_23*var_25;
    const double var_27 = var_4*w[0][13] + -var_5*w[0][3];
    const double var_28 = var_23*var_27;
    const double var_29 = -var_5*w[0][5];
    const double var_30 = var_4*w[0][15];
    const double var_31 = var_29 + var_30;
    const double var_32 = var_23*var_31;
    const double var_33 = var_1*var_1 + var_3*var_3;
    const double var_34 = -w[0][13];
    const double var_35 = w[0][18] + var_34;
    const double var_36 = w[0][3] + -w[0][8];
    const double var_37 = var_1*var_35 + var_3*var_36;
    const double var_38 = var_33*var_37;
    const double var_39 = -var_3*w[0][4] + var_1*w[0][14];
    const double var_40 = -var_3*w[0][7];
    const double var_41 = var_1*w[0][17];
    const double var_42 = var_40 + var_41;
    const double var_43 = var_39 + var_42;
    const double var_44 = w[0][13] + -w[0][18];
    const double var_45 = var_44*var_5;
    const double var_46 = -w[0][3];
    const double var_47 = w[0][8] + var_46;
    const double var_48 = var_4*var_47;
    const double var_49 = var_45 + var_48;
    const double var_50 = 3.0000000000000000000000000*var_1*var_49 + 4.0000000000000000000000000*var_3*var_5*w[0][8];
    const double var_51 = var_3*var_3*var_4*w[0][13] + -var_1*var_1*var_5*w[0][3];
    const double var_52 = -var_1*var_1*var_4*w[0][18];
    const double var_53 = var_1*w[0][9];
    const double var_54 = -var_3*w[0][19] + var_53;
    const double var_55 = var_51 + 2.0000000000000000000000000*var_52 + var_54*var_8;
    const double var_56 = 3.0000000000000000000000000*var_38 + var_3*var_50 + var_28 + -var_21*var_4*w[0][9] + var_26 + var_32 + var_22 + var_20*var_5*w[0][19] + var_19*var_43 + 2.0000000000000000000000000*var_55;
    const double var_57 = var_13;
    const double var_58 = var_5 + -var_3;
    const double var_59 = var_1 + -var_4;
    const double var_60 = var_58*w[0][0] + var_59*w[0][10];
    const double var_61 = var_5*w[0][1] + -var_4*w[0][11];
    const double var_62 = var_1*w[0][12] + -var_3*w[0][2];
    const double var_63 = var_62 + var_61;
    const double var_64 = var_1*var_44 + var_3*var_47;
    const double var_65 = -w[0][6] + w[0][4];
    const double var_66 = -w[0][14];
    const double var_67 = w[0][16] + var_66;
    const double var_68 = var_4*var_67 + var_5*var_65;
    const double var_69 = var_64 + var_68;
    const double var_70 = -var_1*w[0][17];
    const double var_71 = var_3*w[0][7];
    const double var_72 = var_70 + var_71;
    const double var_73 = var_31 + var_72;
    const double var_74 = var_3*w[0][4] + -var_1*w[0][14];
    const double var_75 = var_74 + var_27;
    const double var_76 = -var_1*w[0][16];
    const double var_77 = var_3*w[0][6] + var_76;
    const double var_78 = -var_5*w[0][8];
    const double var_79 = var_4*w[0][18] + var_78;
    const double var_80 = -var_5*w[0][7];
    const double var_81 = var_4*w[0][17];
    const double var_82 = var_80 + var_81;
    const double var_83 = -var_1*w[0][15];
    const double var_84 = var_3*w[0][5];
    const double var_85 = var_83 + var_84;
    const double var_86 = var_85 + var_79 + var_82 + var_77;
    const double var_87 = var_59*w[0][19] + var_58*w[0][9] + 0.5000000000000000000000000*var_86 + 0.7500000000000000000000000*var_75;
    const double var_88 = 0.1500000000000000222044605*var_73 + 0.1166666666666666685170384*var_60 + 0.4833333333333333370340767*var_63 + 0.7500000000000000000000000*var_69 + 0.6000000000000000888178420*var_87;
    A[14] = 0.5000000000000000000000000*var_15*var_19*var_88/(var_57*var_57*var_57);
    A[92] = A[14];
    const double var_89 = var_3 + -var_5;
    const double var_90 = var_8*var_89 + 2.0000000000000000000000000*var_1*var_4*var_59;
    const double var_91 = 2.0000000000000000000000000*var_1*var_1*var_4;
    const double var_92 = var_3*var_8 + var_91;
    const double var_93 = 2.0000000000000000000000000*var_3*var_5*var_5;
    const double var_94 = var_4*var_8 + var_93;
    const double var_95 = 2.0000000000000000000000000*var_3*var_3*var_5 + var_1*var_8;
    const double var_96 = 2.0000000000000000000000000*var_1*var_4*var_4 + var_5*var_8;
    const double var_97 = var_4 + -var_1;
    const double var_98 = 2.0000000000000000000000000*var_3*var_5*var_58 + var_8*var_97;
    const double var_99 = -4.0000000000000000000000000*var_1*var_1*var_4 + -var_21*var_3;
    const double var_100 = -4.0000000000000000000000000*var_3*var_5*var_5 + -var_21*var_4;
    const double var_101 = 4.0000000000000000000000000*var_3*var_3*var_5 + var_1*var_20;
    const double var_102 = 4.0000000000000000000000000*var_1*var_4*var_4 + var_20*var_5;
    const double var_103 = -var_4*w[0][13] + var_5*w[0][3];
    const double var_104 = var_33*var_39 + var_103*var_23;
    const double var_105 = var_3*w[0][9];
    const double var_106 = -var_1*w[0][19] + var_105;
    const double var_107 = var_106*var_33;
    const double var_108 = var_4*w[0][19];
    const double var_109 = -var_5*w[0][9] + var_108;
    const double var_110 = var_109*var_23;
    const double var_111 = var_107 + var_110;
    const double var_112 = -var_4*w[0][15];
    const double var_113 = var_5*w[0][5];
    const double var_114 = var_112 + var_113;
    const double var_115 = var_114*var_23;
    const double var_116 = var_33*var_42;
    const double var_117 = var_98*w[0][9] + 2.0000000000000000000000000*var_111 + var_104 + var_115 + var_116;
    const double var_118 = w[0][18] + w[0][16];
    const double var_119 = w[0][7] + w[0][3];
    const double var_120 = w[0][4] + w[0][5];
    const double var_121 = w[0][8] + w[0][6];
    const double var_122 = w[0][15] + w[0][14];
    const double var_123 = w[0][17] + w[0][13];
    const double var_124 = var_4*w[0][5];
    const double var_125 = var_3*w[0][17];
    const double var_126 = var_124 + var_125;
    const double var_127 = var_5*w[0][15];
    const double var_128 = var_1*w[0][7];
    const double var_129 = var_127 + var_128;
    const double var_130 = var_126 + var_129;
    const double var_131 = var_102*var_123 + var_121*var_98 + var_118*var_90 + var_100*var_119 + -var_92*w[0][13] + var_96*w[0][14] + 2.0000000000000000000000000*var_117 + var_95*w[0][3] + -var_94*w[0][4] + var_122*var_99 + var_101*var_120 + var_13*var_130;
    const double var_132 = var_4*w[0][11] + -var_5*w[0][1];
    const double var_133 = -var_1*w[0][12] + var_3*w[0][2];
    const double var_134 = var_132 + var_133;
    const double var_135 = 1.3333333333333332593184650*var_19*var_60 + 0.6000000000000000888178420*var_131 + 1.2000000000000001776356839*var_90*w[0][19] + 0.1333333333333333314829616*var_134*var_19;
    A[53] = var_135*var_15/(var_57*var_57*var_57);
    A[89] = 0.0000000000000000000000000;
    const double var_136 = var_3*w[0][0] + -var_1*w[0][10];
    const double var_137 = var_5*w[0][0] + -var_4*w[0][10];
    const double var_138 = var_136*var_19 + var_137*var_23;
    A[134] = 0.0000000000000000000000000;
    const double var_139 = 0.2000000000000000111022302*var_1*var_5 + var_7;
    const double var_140 = 0.7000000000000000666133815*var_3*var_4*w[0][6] + var_139*w[0][9];
    const double var_141 = var_136*var_33;
    const double var_142 = var_4*w[0][10] + -var_5*w[0][0];
    const double var_143 = var_142*var_23;
    const double var_144 = var_141 + var_143;
    A[121] = 0.0000000000000000000000000;
    const double var_145 = -var_3*var_3*var_4*w[0][13] + var_1*var_1*var_5*w[0][3];
    const double var_146 = var_1*var_5*var_5*w[0][14] + -var_3*var_4*var_4*w[0][4];
    const double var_147 = var_145 + var_146;
    const double var_148 = var_147 + -var_126*var_21 + var_129*var_20;
    const double var_149 = var_62 + var_136;
    const double var_150 = -var_3*var_4*var_4*w[0][6] + var_1*var_5*var_5*w[0][16];
    const double var_151 = -var_3*w[0][0] + var_1*w[0][10];
    const double var_152 = var_151*var_33 + var_142*var_19;
    const double var_153 = var_1*var_1*var_4*w[0][14] + -var_3*var_3*var_5*w[0][4];
    const double var_154 = -var_1*var_4*var_4*w[0][13] + var_3*var_5*var_5*w[0][3];
    const double var_155 = var_3*var_5*var_5 + 0.5000000000000000000000000*var_4*var_8;
    const double var_156 = var_3*var_3*var_5 + 0.5000000000000000000000000*var_1*var_8;
    const double var_157 = var_1*var_4*var_4 + 0.5000000000000000000000000*var_5*var_8;
    const double var_158 = var_89*w[0][17] + var_5*var_67;
    const double var_159 = -1.5000000000000000000000000*var_4*w[0][15] + 7.0000000000000000000000000*var_5*w[0][6];
    const double var_160 = -var_1*var_5 + var_7;
    const double var_161 = var_160*w[0][19];
    const double var_162 = var_159*var_3 + 3.5000000000000000000000000*var_158*var_4 + var_161;
    const double var_163 = -w[0][16] + w[0][14];
    const double var_164 = -w[0][4];
    const double var_165 = w[0][6] + var_164;
    const double var_166 = var_163*var_3*var_3*var_4 + var_1*var_1*var_165*var_5;
    const double var_167 = -var_3*w[0][6];
    const double var_168 = var_167 + var_42;
    const double var_169 = -var_157*w[0][15] + var_168*var_33 + 0.5000000000000000000000000*var_166 + var_155*w[0][5];
    const double var_170 = var_133*var_23;
    const double var_171 = -var_20*var_5*w[0][13] + var_21*var_4*w[0][3];
    const double var_172 = var_33*var_74;
    const double var_173 = var_172 + var_28;
    const double var_174 = 0.5000000000000000000000000*var_171 + 3.0000000000000000000000000*var_169 + -var_155*w[0][8] + var_156*var_47 + var_170 + var_157*w[0][18] + var_44*var_9 + var_162*var_3 + var_173;
    const double var_175 = var_163*var_4 + var_165*var_5;
    const double var_176 = var_175*var_23;
    const double var_177 = -var_1*var_5*var_5*w[0][14] + var_3*var_4*var_4*w[0][4];
    const double var_178 = var_3*var_4*var_4*w[0][7] + -var_1*var_5*var_5*w[0][17] + var_177;
    const double var_179 = 0.5000000000000000000000000*var_32 + -var_155*w[0][9] + 0.2500000000000000000000000*var_178 + var_157*w[0][19];
    const double var_180 = -var_3*var_5*var_5*w[0][6];
    const double var_181 = var_17*var_4*w[0][16] + var_179 + var_180;
    const double var_182 = -var_3*var_3*var_5*w[0][7] + 3.0000000000000000000000000*var_181 + var_154 + var_176 + 0.5000000000000000000000000*var_174 + 2.0000000000000000000000000*var_153 + var_26 + var_17*var_41 + var_107;
    const double var_183 = -var_4*w[0][5] + var_127;
    const double var_184 = -var_5*w[0][16];
    const double var_185 = 2.2000000000000001776356839*w[0][6] + var_164 + 0.6000000000000000888178420*w[0][7];
    const double var_186 = -0.6000000000000000888178420*w[0][17] + w[0][14];
    const double var_187 = var_185*var_4 + 2.6000000000000000888178420*var_183 + var_186*var_5 + 2.2000000000000001776356839*var_184;
    const double var_188 = var_10 + 0.7000000000000000666133815*var_5*var_65 + -var_4*w[0][14] + 1.4000000000000001332267630*var_76;
    const double var_189 = var_160*w[0][9];
    const double var_190 = 0.7000000000000000666133815*var_5*var_97*w[0][7] + 0.2000000000000000111022302*var_189 + var_17*w[0][15] + var_188*var_4 + 0.3000000000000000444089210*var_1*var_5*w[0][5] + 0.6000000000000000888178420*var_33*w[0][16] + 0.5000000000000000000000000*var_187*var_3;
    const double var_191 = -var_3*w[0][5];
    const double var_192 = var_5*w[0][7];
    const double var_193 = var_191 + var_5*w[0][4] + var_192;
    const double var_194 = var_18*var_193 + var_33*var_85 + var_1*var_190;
    const double var_195 = var_156*w[0][0] + -var_9*w[0][10];
    const double var_196 = var_132*var_33;
    const double var_197 = var_19*var_61;
    const double var_198 = var_196 + var_197;
    const double var_199 = 0.0666666666666666657414808*var_198;
    const double var_200 = 1.9333333333333333481363070*var_195 + 1.5000000000000000000000000*var_194 + 0.6666666666666666296592325*var_19*var_62 + var_199 + 0.6000000000000000888178420*var_182 + 0.3666666666666666407614628*var_133*var_33 + 0.7500000000000000000000000*var_150 + 0.9666666666666666740681535*var_152;
    A[4] = var_15*var_200/(var_57*var_57*var_57);
    A[82] = A[4];
    A[88] = 0.0000000000000000000000000;
    A[142] = A[53];
    const double var_201 = var_17 + 1.3750000000000000000000000*var_3*var_5;
    const double var_202 = var_17 + 1.6250000000000000000000000*var_3*var_5;
    const double var_203 = -1.5000000000000000000000000*var_3*var_4 + var_6;
    const double var_204 = var_5*w[0][17];
    const double var_205 = var_124 + var_204 + -var_4*w[0][3];
    const double var_206 = var_3*var_4*w[0][13] + var_167*var_5 + var_1*var_205;
    const double var_207 = var_1*var_65;
    const double var_208 = var_3*var_67;
    const double var_209 = var_207 + var_208;
    const double var_210 = var_18*w[0][5] + var_209*var_4;
    const double var_211 = var_18*var_46 + 0.2500000000000000000000000*var_203*w[0][15] + -var_201*w[0][7] + 0.3750000000000000000000000*var_206 + var_202*w[0][8] + 0.1250000000000000000000000*var_210;
    const double var_212 = 1.3750000000000000000000000*var_1*var_4 + var_18;
    const double var_213 = 1.6250000000000000000000000*var_1*var_4 + var_18;
    const double var_214 = w[0][13] + -0.1250000000000000000000000*w[0][15];
    const double var_215 = var_1*w[0][16];
    const double var_216 = var_40 + var_215;
    const double var_217 = 1.5000000000000000000000000*var_216 + var_191;
    const double var_218 = var_212*w[0][17] + 0.2500000000000000000000000*var_217*var_4 + var_17*var_214 + -var_213*w[0][18];
    const double var_219 = var_10 + var_192;
    const double var_220 = var_219*var_23;
    const double var_221 = var_23*var_79 + var_220;
    const double var_222 = var_176 + var_146;
    const double var_223 = var_31 + var_103;
    const double var_224 = var_106 + 0.7500000000000000000000000*var_223;
    const double var_225 = 0.1250000000000000000000000*var_222 + var_221 + var_211*var_5 + 0.2500000000000000000000000*var_150 + var_218*var_4 + 0.5000000000000000000000000*var_224*var_23;
    const double var_226 = var_1*var_4*var_97*w[0][19] + var_3*var_5*var_89*w[0][9];
    const double var_227 = 4.8000000000000007105427358*var_226;
    const double var_228 = var_19*var_62;
    const double var_229 = var_95*w[0][0] + var_152 + -var_92*w[0][10] + var_133*var_33 + var_228;
    const double var_230 = w[0][17] + w[0][15];
    const double var_231 = var_67 + -var_230;
    const double var_232 = w[0][7] + w[0][5];
    const double var_233 = var_232 + var_65;
    const double var_234 = var_231*var_96 + var_100*w[0][8] + var_102*w[0][18] + 2.0000000000000000000000000*var_56 + var_233*var_94;
    const double var_235 = var_91 + -var_139*var_5;
    const double var_236 = 0.2000000000000000111022302*var_3*var_4 + var_6;
    const double var_237 = -2.0000000000000000000000000*var_3*var_3*var_5 + var_236*var_4;
    const double var_238 = 0.2000000000000000111022302*var_234 + 1.2000000000000001776356839*var_154 + var_237*w[0][3] + var_235*w[0][13];
    const double var_239 = 0.1333333333333333314829616*var_229 + 3.0000000000000000000000000*var_238 + 1.3333333333333332593184650*var_198 + var_227;
    A[41] = var_15*var_239/(var_57*var_57*var_57);
    A[119] = A[41];
    const double var_240 = var_74 + var_42;
    const double var_241 = 0.3333333333333333148296163*var_136 + 4.8333333333333330372738601*var_61 + 12.0000000000000000000000000*var_64 + 1.5000000000000000000000000*var_240;
    const double var_242 = 0.0666666666666666657414808*var_17*w[0][0];
    const double var_243 = 0.4333333333333333481363070*var_3*var_5*w[0][0] + var_242;
    A[47] = 0.0000000000000000000000000;
    const double var_244 = var_1*var_1*var_5*var_65 + var_3*var_3*var_4*var_67;
    const double var_245 = var_5*w[0][19];
    const double var_246 = var_53 + var_245;
    const double var_247 = var_3*var_65 + var_47*var_5;
    const double var_248 = -var_1*var_246 + var_247*var_3;
    const double var_249 = var_82 + var_27;
    const double var_250 = var_1*var_35*var_5*var_5 + var_3*var_36*var_4*var_4;
    A[103] = A[14];
    const double var_251 = 0.7500000000000000000000000*var_4*w[0][13] + var_24;
    const double var_252 = var_97*w[0][5] + var_1*var_47;
    const double var_253 = -1.5000000000000000000000000*var_3*w[0][7] + 7.0000000000000000000000000*var_1*w[0][18];
    const double var_254 = var_253*var_4 + 3.5000000000000000000000000*var_252*var_3 + var_189;
    const double var_255 = -var_4*w[0][18];
    const double var_256 = var_114 + var_255;
    const double var_257 = var_9*w[0][17] + -var_156*w[0][7] + 0.5000000000000000000000000*var_250 + var_23*var_256;
    const double var_258 = var_21*var_3*w[0][14] + -var_1*var_20*w[0][4];
    const double var_259 = 0.5000000000000000000000000*var_258 + var_156*w[0][6] + var_155*var_65 + -var_9*w[0][16] + var_196 + var_157*var_67 + 3.0000000000000000000000000*var_257 + var_173 + var_254*var_4;
    const double var_260 = var_1*w[0][19];
    const double var_261 = -var_3*w[0][9] + var_260;
    const double var_262 = 2.0000000000000000000000000*var_261*var_33;
    const double var_263 = var_33*var_72;
    const double var_264 = -var_1*var_1*var_5*w[0][5] + var_51 + var_3*var_3*var_4*w[0][15];
    const double var_265 = 0.5000000000000000000000000*var_263 + var_156*w[0][9] + -var_9*w[0][19] + 0.2500000000000000000000000*var_264;
    const double var_266 = var_265 + var_18*var_3*w[0][8] + var_52;
    const double var_267 = 3.0000000000000000000000000*var_266 + var_153 + var_110 + var_38 + 2.0000000000000000000000000*var_154 + -var_1*var_4*var_4*w[0][15] + 0.5000000000000000000000000*var_259 + var_262 + var_113*var_18;
    const double var_268 = -var_3*w[0][17] + var_128;
    const double var_269 = -var_1*w[0][8];
    const double var_270 = 2.2000000000000001776356839*w[0][18] + var_34 + 0.6000000000000000888178420*w[0][15];
    const double var_271 = w[0][3] + -0.6000000000000000888178420*w[0][5];
    const double var_272 = var_270*var_3 + 2.2000000000000001776356839*var_269 + 2.6000000000000000888178420*var_268 + var_1*var_271;
    const double var_273 = 0.7000000000000000666133815*var_1*var_44 + -var_3*w[0][3] + var_191 + 1.4000000000000001332267630*var_78;
    const double var_274 = var_273*var_3 + 0.7000000000000000666133815*var_1*var_89*w[0][15] + 0.6000000000000000888178420*var_23*w[0][8] + 0.5000000000000000000000000*var_272*var_4 + 0.3000000000000000444089210*var_1*var_5*w[0][17] + var_18*w[0][7] + 0.2000000000000000111022302*var_161;
    const double var_275 = var_23*var_82 + var_274*var_5 + var_12*var_17;
    const double var_276 = -var_155*w[0][0] + var_157*w[0][10];
    const double var_277 = var_170 + var_228;
    const double var_278 = 0.0666666666666666657414808*var_277;
    const double var_279 = 1.9333333333333333481363070*var_276 + var_278 + 0.7500000000000000000000000*var_22 + 0.9666666666666666740681535*var_138 + 0.6000000000000000888178420*var_267 + 0.3666666666666666407614628*var_132*var_23 + 0.6666666666666666296592325*var_19*var_61 + 1.5000000000000000000000000*var_275;
    A[5] = var_15*var_279/(var_57*var_57*var_57);
    A[138] = A[5];
    const double var_280 = var_25 + 0.5000000000000000000000000*var_79;
    const double var_281 = var_137 + var_133;
    const double var_282 = 0.4500000000000000111022302*var_31 + 0.6000000000000000888178420*var_280 + 0.1500000000000000222044605*var_27 + 0.4833333333333333370340767*var_281 + 0.3000000000000000444089210*var_82 + 0.7500000000000000000000000*var_175;
    const double var_283 = var_1*w[0][5];
    const double var_284 = var_125 + -var_3*w[0][14] + var_283;
    const double var_285 = var_284*var_5 + var_3*var_4*w[0][4] + var_1*var_255;
    const double var_286 = var_17*w[0][17] + var_3*var_49;
    const double var_287 = var_17*var_66 + 0.2500000000000000000000000*var_203*w[0][7] + -var_212*w[0][15] + var_213*w[0][16] + 0.3750000000000000000000000*var_285 + 0.1250000000000000000000000*var_286;
    const double var_288 = w[0][4] + -0.1250000000000000000000000*w[0][7];
    const double var_289 = var_5*w[0][8];
    const double var_290 = var_289 + var_112;
    const double var_291 = var_10 + 1.5000000000000000000000000*var_290;
    const double var_292 = var_18*var_288 + var_201*w[0][5] + 0.2500000000000000000000000*var_291*var_3 + -var_202*w[0][6];
    const double var_293 = var_191 + var_11;
    const double var_294 = var_293*var_33;
    const double var_295 = var_33*var_77 + var_294;
    const double var_296 = var_38 + var_145;
    const double var_297 = var_39 + var_72;
    const double var_298 = var_109 + 0.7500000000000000000000000*var_297;
    const double var_299 = 0.1250000000000000000000000*var_296 + 0.2500000000000000000000000*var_22 + var_295 + var_1*var_287 + var_292*var_3 + 0.5000000000000000000000000*var_298*var_33;
    const double var_300 = var_9*w[0][10] + -var_156*w[0][0];
    const double var_301 = 0.2416666666666666685170384*var_149*var_33 + 0.5000000000000000000000000*var_19*var_282 + 0.6000000000000000888178420*var_299 + 0.0583333333333333342585192*var_198 + 0.3750000000000000000000000*var_244 + 0.4833333333333333370340767*var_300;
    A[2] = var_15*var_301/(var_57*var_57*var_57);
    A[102] = A[2];
    A[111] = 0.0000000000000000000000000;
    const double var_302 = var_89*w[0][0] + var_97*w[0][10];
    const double var_303 = var_215 + var_39 + var_133 + var_302 + var_293 + var_168;
    const double var_304 = var_114 + var_103;
    const double var_305 = 4.0000000000000000000000000*var_1*var_4*w[0][16] + 3.0000000000000000000000000*var_209*var_5;
    const double var_306 = -var_4*w[0][9] + var_245;
    const double var_307 = var_177 + 2.0000000000000000000000000*var_180 + var_306*var_8;
    const double var_308 = var_305*var_4 + 3.0000000000000000000000000*var_176 + var_172 + var_263 + var_19*var_304 + var_150 + var_1*var_20*w[0][9] + -var_21*var_3*w[0][19] + 2.0000000000000000000000000*var_307 + var_262;
    const double var_309 = var_44 + var_230;
    const double var_310 = -var_232 + var_47;
    const double var_311 = var_101*w[0][6] + var_309*var_92 + var_99*w[0][16] + 2.0000000000000000000000000*var_308 + var_310*var_95;
    const double var_312 = -var_1*var_139 + var_93;
    const double var_313 = -2.0000000000000000000000000*var_1*var_4*var_4 + var_236*var_3;
    const double var_314 = 1.2000000000000001776356839*var_153 + var_313*w[0][14] + 0.2000000000000000111022302*var_311 + var_312*w[0][4];
    A[67] = 0.0000000000000000000000000;
    A[99] = 0.0000000000000000000000000;
    const double var_315 = -var_1*var_4*var_4*w[0][16] + var_3*var_5*var_5*w[0][6];
    const double var_316 = var_283 + var_204;
    const double var_317 = 1.4000000000000001332267630*var_3*var_5 + var_17;
    A[43] = 0.0000000000000000000000000;
    const double var_318 = w[0][8] + w[0][7];
    const double var_319 = 0.7500000000000000000000000*var_3*w[0][4] + var_260;
    const double var_320 = 0.7000000000000000666133815*var_1*var_5*w[0][16] + var_236*w[0][19];
    const double var_321 = 1.8000000000000000444089210*var_1*var_319*var_4 + 0.3000000000000000444089210*var_156*var_318 + 1.5000000000000000000000000*var_3*var_320;
    const double var_322 = w[0][18] + w[0][17];
    const double var_323 = 0.7500000000000000000000000*var_1*w[0][14] + var_105;
    const double var_324 = 0.1000000000000000055511151*var_322*var_9 + 0.6000000000000000888178420*var_3*var_323*var_5 + 0.5000000000000000000000000*var_1*var_140;
    const double var_325 = var_74 + var_85;
    const double var_326 = var_167 + var_215;
    const double var_327 = 0.9000000000000000222044605*var_325 + 0.3000000000000000444089210*var_42 + 0.6000000000000000888178420*var_261 + 0.9666666666666666740681535*var_133 + 0.3666666666666666407614628*var_151 + 1.5000000000000000000000000*var_326;
    const double var_328 = -var_3*var_3*var_5*w[0][5];
    const double var_329 = -0.3666666666666666407614628*var_3*var_4*w[0][10] + var_243 + 0.1500000000000000222044605*var_20*w[0][15] + 3.0000000000000000000000000*var_18*w[0][6];
    const double var_330 = 6.5000000000000000000000000*var_1*var_4 + var_18;
    const double var_331 = 0.0666666666666666657414808*var_330*w[0][10];
    const double var_332 = var_331 + 3.0000000000000000000000000*var_17*w[0][16] + 0.1500000000000000222044605*var_21*w[0][5];
    const double var_333 = 0.6000000000000000888178420*var_17*w[0][15] + 0.3666666666666666407614628*var_1*var_5*w[0][0] + -var_332;
    const double var_334 = var_114 + var_27;
    const double var_335 = 12.0000000000000000000000000*var_68 + 1.5000000000000000000000000*var_334 + 0.3333333333333333148296163*var_142 + 4.8333333333333330372738601*var_62;
    const double var_336 = var_156*w[0][3] + 11.0000000000000000000000000*var_153 + -var_9*w[0][13];
    const double var_337 = var_199 + 3.0000000000000000000000000*var_324 + -var_321 + 0.2000000000000000111022302*var_19*var_335 + 0.6000000000000000888178420*var_328 + var_327*var_33 + 1.9500000000000001776356839*var_166 + var_3*var_329 + var_1*var_333 + 0.3000000000000000444089210*var_336;
    const double var_338 = 1.4000000000000001332267630*var_1*var_4 + var_18;
    const double var_339 = var_338*w[0][14] + var_236*w[0][6];
    A[125] = 0.0000000000000000000000000;
    const double var_340 = var_23 + var_33;
    const double var_341 = var_220 + var_294;
    const double var_342 = var_113 + var_40;
    const double var_343 = -var_4*w[0][16] + 3.0000000000000000000000000*var_342 + var_1*w[0][18];
    const double var_344 = var_41 + var_112;
    const double var_345 = var_5*w[0][6] + -var_3*w[0][8] + 3.0000000000000000000000000*var_344;
    const double var_346 = var_83 + var_81;
    const double var_347 = w[0][3] + w[0][4];
    const double var_348 = 5.8000000000000007105427358*var_58*w[0][0] + 0.6000000000000000888178420*var_347*var_89;
    const double var_349 = w[0][13] + w[0][14];
    const double var_350 = 5.8000000000000007105427358*var_59*w[0][10] + 0.6000000000000000888178420*var_349*var_97;
    const double var_351 = var_167 + var_289;
    const double var_352 = var_80 + var_84;
    const double var_353 = var_255 + var_215;
    const double var_354 = 0.3750000000000000000000000*var_353 + var_352 + var_97*w[0][19];
    const double var_355 = 0.6000000000000000888178420*var_351 + 0.2500000000000000000000000*var_348 + 0.4500000000000000111022302*var_343 + 1.2000000000000001776356839*var_89*w[0][9] + 0.1500000000000000222044605*var_345 + 1.1250000000000000000000000*var_346 + 0.3750000000000000000000000*var_350 + 1.8000000000000000444089210*var_354;
    const double var_356 = var_4*w[0][9] + var_3*w[0][19];
    const double var_357 = var_3*w[0][10] + var_4*w[0][0];
    const double var_358 = w[0][6] + 2.2500000000000000000000000*w[0][7];
    const double var_359 = w[0][18] + 2.2500000000000000000000000*w[0][15];
    const double var_360 = var_3*var_359 + -3.0000000000000000000000000*var_126 + var_358*var_4;
    const double var_361 = 3.6250000000000000000000000*var_357 + -3.0000000000000000000000000*var_356 + 1.5000000000000000000000000*var_360;
    const double var_362 = var_1*var_355 + 0.2000000000000000111022302*var_3*var_361;
    const double var_363 = 0.3750000000000000000000000*var_351 + var_89*w[0][9] + var_346 + 0.2500000000000000000000000*var_345;
    const double var_364 = 0.1500000000000000222044605*var_343 + 0.6000000000000000888178420*var_353 + 0.3750000000000000000000000*var_348 + 1.1250000000000000000000000*var_352 + 1.2000000000000001776356839*var_97*w[0][19] + 0.2500000000000000000000000*var_350 + 1.8000000000000000444089210*var_363;
    const double var_365 = var_1*w[0][0] + var_5*w[0][10];
    const double var_366 = 3.0000000000000000000000000*var_129 + var_184 + var_269;
    const double var_367 = 3.0000000000000000000000000*var_246 + -3.3750000000000000000000000*var_316 + -3.6250000000000000000000000*var_365 + 1.5000000000000000000000000*var_366;
    const double var_368 = 0.2000000000000000111022302*var_1*var_367 + var_3*var_364;
    const double var_369 = var_134*var_19;
    const double var_370 = var_3*var_4*var_4*var_47 + var_1*var_44*var_5*var_5;
    const double var_371 = var_33*var_64;
    const double var_372 = var_23*var_68;
    const double var_373 = var_371 + var_372;
    const double var_374 = var_104 + var_373 + var_370 + var_147 + var_244;
    const double var_375 = var_261 + 0.5000000000000000000000000*var_77;
    const double var_376 = var_32 + var_263;
    const double var_377 = 1.1250000000000000000000000*var_376 + var_33*var_375 + 0.1250000000000000000000000*var_374 + var_23*var_280;
    const double var_378 = 0.2500000000000000000000000*var_369 + 0.1250000000000000000000000*var_340*var_63 + 0.9000000000000000222044605*var_341 + var_362*var_4 + var_368*var_5 + 0.7250000000000000888178420*var_144 + 0.6000000000000000888178420*var_377;
    const double var_379 = var_338*w[0][13] + var_139*w[0][8];
    const double var_380 = 0.6666666666666666296592325*var_5*var_5*w[0][10] + 0.7333333333333332815229255*var_4*var_4*w[0][10] + 3.0000000000000000000000000*var_379;
    const double var_381 = var_340*var_61 + var_143;
    const double var_382 = var_340*var_62 + var_141;
    const double var_383 = var_236*w[0][18] + var_317*w[0][3];
    const double var_384 = 0.7333333333333332815229255*var_5*var_5*w[0][0] + 0.6666666666666666296592325*var_4*var_4*w[0][0] + 3.0000000000000000000000000*var_383;
    const double var_385 = 0.3333333333333333148296163*w[0][10] + 6.0000000000000000000000000*w[0][19];
    const double var_386 = 0.3333333333333333148296163*w[0][0] + 6.0000000000000000000000000*w[0][9];
    const double var_387 = 3.0000000000000000000000000*var_82 + 0.3333333333333333148296163*var_133 + 6.0000000000000000000000000*var_72 + 6.3333333333333330372738601*var_132 + 12.0000000000000000000000000*var_25;
    const double var_388 = var_221 + var_370 + var_145;
    const double var_389 = var_1*var_1*var_4*w[0][18] + -var_3*var_3*var_5*w[0][8];
    const double var_390 = var_96*w[0][15] + 3.0000000000000000000000000*var_371 + 6.0000000000000000000000000*var_389 + var_223*var_23 + -var_94*w[0][5];
    const double var_391 = -0.3333333333333333148296163*var_18*var_4*w[0][10] + var_19*var_387 + -var_386*var_95 + var_385*var_92 + 3.0000000000000000000000000*var_390 + 6.0000000000000000000000000*var_388;
    const double var_392 = 0.6000000000000000888178420*var_1*var_4 + var_18;
    const double var_393 = 0.6000000000000000888178420*var_3*var_5 + var_17;
    const double var_394 = var_392*var_47*var_5 + var_393*var_4*var_44;
    const double var_395 = 0.2000000000000000111022302*var_391 + 0.6666666666666666296592325*var_381 + 0.0666666666666666657414808*var_382 + var_3*var_384 + -var_1*var_380 + var_242*var_5 + 3.0000000000000000000000000*var_394;
    const double var_396 = 1.5000000000000000000000000*var_3*var_5 + var_17;
    A[75] = 0.0000000000000000000000000;
    A[54] = 0.0000000000000000000000000;
    A[22] = 0.0000000000000000000000000;
    const double var_397 = var_45 + var_207;
    const double var_398 = var_208 + var_48;
    const double var_399 = var_139*var_397 + var_236*var_398;
    A[66] = 0.0000000000000000000000000;
    const double var_400 = var_243 + 0.1500000000000000222044605*var_21*w[0][17] + 3.0000000000000000000000000*var_18*w[0][8];
    const double var_401 = 0.6000000000000000888178420*var_18*w[0][7] + -var_400 + 0.3666666666666666407614628*var_1*var_5*w[0][10];
    const double var_402 = var_3*w[0][3] + -var_5*w[0][4];
    const double var_403 = var_70 + var_30;
    const double var_404 = 0.2500000000000000000000000*var_402 + 0.7000000000000000666133815*var_58*w[0][9] + 0.6000000000000000888178420*var_403;
    const double var_405 = var_4*w[0][14] + -var_1*w[0][13];
    const double var_406 = var_29 + var_71;
    const double var_407 = 0.2500000000000000000000000*var_405 + 0.6000000000000000888178420*var_406 + 0.7000000000000000666133815*var_59*w[0][19];
    const double var_408 = -var_9*w[0][15] + var_156*w[0][5] + var_116;
    const double var_409 = -var_155*w[0][7] + var_157*w[0][17] + var_115;
    const double var_410 = var_4*var_44 + var_1*var_67;
    const double var_411 = var_1*var_410 + var_3*var_356;
    const double var_412 = var_409 + 0.5000000000000000000000000*var_148 + var_4*var_411 + var_408 + var_248*var_5;
    const double var_413 = var_33*var_61;
    const double var_414 = var_23*var_62;
    const double var_415 = var_413 + var_414;
    const double var_416 = var_104 + 3.0000000000000000000000000*var_412 + var_415;
    const double var_417 = var_155*w[0][6] + var_9*w[0][18] + -var_157*w[0][16] + -var_156*w[0][8] + 0.5000000000000000000000000*var_399 + 0.2000000000000000111022302*var_416;
    const double var_418 = var_1*var_4*var_405 + var_3*var_402*var_5;
    const double var_419 = var_418 + var_111;
    const double var_420 = var_1*var_4*var_404 + var_18*var_58*w[0][9] + 0.1000000000000000055511151*var_134*var_19 + var_17*var_59*w[0][19] + 0.5000000000000000000000000*var_417 + 0.2000000000000000111022302*var_373 + 0.4000000000000000222044605*var_419 + var_3*var_407*var_5;
    A[3] = 3.0000000000000000000000000*var_15*var_420/(var_57*var_57*var_57);
    const double var_421 = var_302 + var_62;
    const double var_422 = var_31 + var_68;
    const double var_423 = 0.1250000000000000000000000*var_421 + 0.3000000000000000444089210*var_219 + 0.6000000000000000888178420*var_109 + 0.2250000000000000055511151*var_240 + 0.7250000000000000888178420*var_61 + 0.6750000000000000444089210*var_103 + 0.0750000000000000111022302*var_422 + 1.5750000000000001776356839*var_64 + 0.9000000000000000222044605*var_79;
    A[13] = var_15*var_23*var_423/(var_57*var_57*var_57);
    A[91] = A[13];
    A[63] = A[41];
    const double var_424 = 1.5000000000000000000000000*var_39 + 0.5000000000000000000000000*var_132 + 2.0000000000000000000000000*var_106 + var_37;
    const double var_425 = -0.5000000000000000000000000*w[0][6] + 0.6000000000000000888178420*w[0][4];
    const double var_426 = -0.6000000000000000888178420*w[0][14] + 0.5000000000000000000000000*w[0][16];
    const double var_427 = var_1*w[0][3] + var_3*w[0][13];
    const double var_428 = 1.5000000000000000000000000*var_244 + var_408 + var_19*var_223 + 0.5000000000000000000000000*var_13*var_427;
    const double var_429 = var_18*var_3*var_425 + 0.8000000000000000444089210*var_175*var_19 + var_1*var_17*var_426 + 0.2000000000000000111022302*var_33*var_424 + 0.1000000000000000055511151*var_428 + -var_324;
    A[124] = 0.0000000000000000000000000;
    A[59] = 0.0000000000000000000000000;
    const double var_430 = var_139*w[0][16] + var_317*w[0][4];
    const double var_431 = 0.7333333333333332815229255*var_3*var_3*w[0][0] + 0.6666666666666666296592325*var_1*var_1*w[0][0] + 3.0000000000000000000000000*var_430;
    const double var_432 = var_289 + var_132 + var_103 + var_302 + var_219 + var_256;
    const double var_433 = 1.5000000000000000000000000*var_1*var_4 + var_18;
    const double var_434 = var_163*var_9 + var_1*var_1*var_4*w[0][15] + var_328 + var_156*var_165 + var_172;
    const double var_435 = var_128 + var_125;
    const double var_436 = -var_1*var_20*w[0][8] + var_21*var_3*w[0][18] + var_160*var_435;
    const double var_437 = var_19*var_432 + -var_1*var_396*w[0][13] + var_3*var_433*w[0][3] + 0.5000000000000000000000000*var_436 + 3.0000000000000000000000000*var_434 + var_413;
    const double var_438 = var_302 + var_61;
    const double var_439 = var_64 + var_72;
    const double var_440 = 0.3000000000000000444089210*var_293 + 0.6750000000000000444089210*var_39 + 0.1250000000000000000000000*var_438 + 0.7250000000000000888178420*var_62 + 1.5750000000000001776356839*var_68 + 0.9000000000000000222044605*var_77 + 0.6000000000000000888178420*var_106 + 0.2250000000000000055511151*var_334 + 0.0750000000000000111022302*var_439;
    A[26] = var_15*var_33*var_440/(var_57*var_57*var_57);
    const double var_441 = var_124 + var_127;
    const double var_442 = -var_20*var_5*w[0][16] + var_21*var_4*w[0][6] + var_160*var_441;
    A[69] = 0.0000000000000000000000000;
    A[9] = 0.0000000000000000000000000;
    A[96] = 0.0000000000000000000000000;
    const double var_443 = w[0][6] + w[0][5];
    const double var_444 = 0.7500000000000000000000000*var_5*w[0][3] + var_108;
    const double var_445 = var_139*w[0][19] + 0.7000000000000000666133815*var_3*var_4*w[0][18];
    const double var_446 = 0.6000000000000000888178420*var_1*var_4*var_444 + 0.1000000000000000055511151*var_155*var_443 + 0.5000000000000000000000000*var_445*var_5;
    const double var_447 = 2.0000000000000000000000000*var_109 + 0.5000000000000000000000000*var_133 + 1.5000000000000000000000000*var_103 + var_175;
    const double var_448 = -0.5000000000000000000000000*w[0][18] + 0.6000000000000000888178420*w[0][13];
    const double var_449 = 0.5000000000000000000000000*w[0][8] + -0.6000000000000000888178420*w[0][3];
    const double var_450 = var_409 + var_19*var_297 + 1.5000000000000000000000000*var_370 + 0.5000000000000000000000000*var_13*var_16;
    const double var_451 = 0.2000000000000000111022302*var_23*var_447 + 0.8000000000000000444089210*var_19*var_37 + var_17*var_4*var_448 + var_18*var_449*var_5 + -var_446 + 0.1000000000000000055511151*var_450;
    const double var_452 = var_389 + var_371 + var_109*var_19 + var_262 + 0.5000000000000000000000000*var_437 + var_265;
    const double var_453 = 0.2000000000000000111022302*var_452 + 0.2500000000000000000000000*var_1*var_183*var_3;
    A[29] = 3.0000000000000000000000000*var_15*var_453/(var_57*var_57*var_57);
    A[62] = A[29];
    A[101] = 0.0000000000000000000000000;
    A[122] = 0.0000000000000000000000000;
    A[0] = var_15*var_378/(var_57*var_57*var_57);
    A[86] = 0.0000000000000000000000000;
    const double var_454 = 14.5000000000000000000000000*var_133 + var_60 + var_132;
    const double var_455 = 0.0666666666666666657414808*var_19*var_454 + var_321 + 3.0000000000000000000000000*var_429;
    A[27] = var_15*var_455/(var_57*var_57*var_57);
    A[84] = 0.0000000000000000000000000;
    A[28] = var_15*var_337/(var_57*var_57*var_57);
    A[106] = A[28];
    const double var_456 = var_155*w[0][0] + -var_157*w[0][10];
    const double var_457 = 0.6666666666666666296592325*var_3*var_3*w[0][10] + 0.7333333333333332815229255*var_1*var_1*w[0][10] + 3.0000000000000000000000000*var_339;
    const double var_458 = var_95*w[0][7] + var_297*var_33 + 3.0000000000000000000000000*var_23*var_68 + -var_92*w[0][17] + var_19*var_85;
    const double var_459 = 2.0000000000000000000000000*var_261 + var_31;
    const double var_460 = var_295 + var_146 + var_244 + 3.0000000000000000000000000*var_315 + var_19*var_459;
    const double var_461 = var_1*var_393*var_67 + 0.4000000000000000222044605*var_460 + var_3*var_392*var_65;
    const double var_462 = 19.0000000000000000000000000*var_133 + var_132;
    const double var_463 = var_1*var_18*w[0][10] + -var_17*var_3*w[0][0] + var_381 + var_19*var_462;
    const double var_464 = 0.3333333333333333148296163*var_463 + var_386*var_94 + -var_385*var_96;
    const double var_465 = 3.0000000000000000000000000*var_461 + -var_431*var_5 + var_4*var_457 + 0.6000000000000000888178420*var_458 + 0.6666666666666666296592325*var_382 + 0.2000000000000000111022302*var_464;
    A[52] = 2.0000000000000000000000000*var_15*var_465/(var_57*var_57*var_57);
    A[6] = 0.0000000000000000000000000;
    const double var_466 = w[0][15] + w[0][16];
    const double var_467 = 0.7000000000000000666133815*var_1*var_5*w[0][8] + var_236*w[0][9];
    const double var_468 = 0.3000000000000000444089210*var_157*var_466 + 1.8000000000000000444089210*var_251*var_3*var_5 + 1.5000000000000000000000000*var_4*var_467;
    const double var_469 = var_133 + var_60 + 14.5000000000000000000000000*var_132;
    const double var_470 = 0.0666666666666666657414808*var_19*var_469 + var_468 + 3.0000000000000000000000000*var_451;
    A[100] = 0.0000000000000000000000000;
    A[131] = A[53];
    A[65] = 2.0000000000000000000000000*var_15*var_395/(var_57*var_57*var_57);
    A[143] = A[65];
    const double var_471 = var_19*var_75 + var_147;
    const double var_472 = -var_96*w[0][16] + -var_95*w[0][8] + var_17*var_402 + var_92*w[0][18] + 3.0000000000000000000000000*var_418 + var_94*w[0][6] + var_18*var_405 + 2.0000000000000000000000000*var_471;
    A[21] = 0.0000000000000000000000000;
    A[7] = 0.0000000000000000000000000;
    A[20] = 0.0000000000000000000000000;
    A[18] = 0.0000000000000000000000000;
    A[135] = 0.0000000000000000000000000;
    A[24] = A[2];
    const double var_473 = -var_94*w[0][0] + var_138 + var_96*w[0][10] + var_132*var_23 + var_197;
    const double var_474 = 0.1333333333333333314829616*var_473 + 1.3333333333333332593184650*var_277 + 3.0000000000000000000000000*var_314 + var_227;
    A[40] = var_15*var_474/(var_57*var_57*var_57);
    A[118] = A[40];
    A[104] = A[26];
    const double var_475 = -var_1*var_4*var_4*w[0][17];
    const double var_476 = var_142 + var_61;
    A[15] = var_15*var_470/(var_57*var_57*var_57);
    const double var_477 = var_475 + var_157*var_35 + var_155*var_36 + var_3*var_5*var_5*w[0][7] + var_28;
    const double var_478 = 3.0000000000000000000000000*var_477 + 0.5000000000000000000000000*var_442 + var_396*var_4*w[0][14] + -var_433*var_5*w[0][4] + var_19*var_303 + var_414;
    const double var_479 = 0.5000000000000000000000000*var_478 + var_315 + var_26 + var_372 + var_106*var_19 + var_179;
    const double var_480 = 0.2000000000000000111022302*var_479 + 0.2500000000000000000000000*var_268*var_4*var_5;
    A[16] = 3.0000000000000000000000000*var_15*var_480/(var_57*var_57*var_57);
    A[71] = 0.0000000000000000000000000;
    A[10] = 0.0000000000000000000000000;
    A[33] = 0.0000000000000000000000000;
    A[58] = 0.0000000000000000000000000;
    A[46] = 0.0000000000000000000000000;
    A[116] = A[27];
    const double var_481 = var_151 + var_132;
    const double var_482 = 0.6000000000000000888178420*var_375 + 0.1500000000000000222044605*var_74 + 0.7500000000000000000000000*var_37 + 0.4500000000000000111022302*var_72 + 0.3000000000000000444089210*var_85 + 0.4833333333333333370340767*var_481;
    const double var_483 = 0.6000000000000000888178420*var_225 + 0.3750000000000000000000000*var_370 + 0.4833333333333333370340767*var_456 + 0.5000000000000000000000000*var_19*var_482 + 0.0583333333333333342585192*var_277 + 0.2416666666666666685170384*var_23*var_476;
    A[1] = var_15*var_483/(var_57*var_57*var_57);
    A[12] = A[1];
    A[72] = 0.0000000000000000000000000;
    A[70] = 0.0000000000000000000000000;
    A[126] = A[4];
    const double var_484 = var_289 + var_255;
    const double var_485 = 1.5000000000000000000000000*var_484 + 0.6000000000000000888178420*var_25 + 0.9666666666666666740681535*var_132 + 0.3666666666666666407614628*var_137 + 0.3000000000000000444089210*var_114 + 0.9000000000000000222044605*var_249;
    const double var_486 = 0.1500000000000000222044605*var_20*w[0][7] + var_331 + 3.0000000000000000000000000*var_17*w[0][18] + -0.3666666666666666407614628*var_3*var_4*w[0][0];
    const double var_487 = 11.0000000000000000000000000*var_154 + var_157*w[0][14] + -var_155*w[0][4];
    const double var_488 = var_278 + 3.0000000000000000000000000*var_446 + var_401*var_5 + -var_468 + 1.9500000000000001776356839*var_250 + var_4*var_486 + 0.6000000000000000888178420*var_475 + var_23*var_485 + 0.2000000000000000111022302*var_19*var_241 + 0.3000000000000000444089210*var_487;
    A[17] = var_15*var_488/(var_57*var_57*var_57);
    A[139] = A[17];
    A[83] = A[5];
    A[127] = A[16];
    A[80] = A[2];
    A[95] = A[17];
    A[108] = 0.0000000000000000000000000;
    A[36] = A[3];
    A[115] = A[15];
    A[35] = 0.0000000000000000000000000;
    A[11] = 0.0000000000000000000000000;
    A[23] = 0.0000000000000000000000000;
    A[64] = A[53];
    A[133] = 0.0000000000000000000000000;
    A[76] = 0.0000000000000000000000000;
    A[49] = A[16];
    A[19] = 0.0000000000000000000000000;
    A[107] = A[29];
    A[85] = 0.0000000000000000000000000;
    A[110] = 0.0000000000000000000000000;
    A[136] = 0.0000000000000000000000000;
    A[79] = A[1];
    A[74] = 0.0000000000000000000000000;
    A[61] = A[17];
    A[78] = A[0];
    A[140] = A[29];
    A[81] = A[3];
    A[87] = 0.0000000000000000000000000;
    A[37] = A[15];
    A[44] = 0.0000000000000000000000000;
    A[137] = 0.0000000000000000000000000;
    A[57] = 0.0000000000000000000000000;
    A[8] = 0.0000000000000000000000000;
    A[51] = A[40];
    A[31] = 0.0000000000000000000000000;
    A[34] = 0.0000000000000000000000000;
    A[60] = A[5];
    A[90] = A[1];
    A[55] = 0.0000000000000000000000000;
    A[77] = 0.0000000000000000000000000;
    A[132] = 0.0000000000000000000000000;
    A[113] = 0.0000000000000000000000000;
    const double var_489 = var_149*var_33 + var_23*var_476 + var_369;
    A[109] = 0.0000000000000000000000000;
    A[25] = A[14];
    A[105] = A[27];
    A[45] = 0.0000000000000000000000000;
    A[56] = 0.0000000000000000000000000;
    A[32] = 0.0000000000000000000000000;
    A[129] = A[40];
    A[130] = A[52];
    A[94] = A[16];
    A[73] = 0.0000000000000000000000000;
    A[50] = A[28];
    A[42] = 0.0000000000000000000000000;
    A[38] = A[27];
    A[112] = 0.0000000000000000000000000;
    A[128] = A[28];
    const double var_490 = var_386*var_98 + var_385*var_90 + 3.0000000000000000000000000*var_472 + 9.0000000000000000000000000*var_373;
    const double var_491 = 0.0666666666666666657414808*var_489 + 0.2000000000000000111022302*var_490 + 0.6666666666666666296592325*var_415;
    A[39] = 2.0000000000000000000000000*var_15*var_491/(var_57*var_57*var_57);
    A[68] = 0.0000000000000000000000000;
    A[114] = A[3];
    A[93] = A[15];
    A[98] = 0.0000000000000000000000000;
    A[30] = 0.0000000000000000000000000;
    A[141] = A[41];
    A[97] = 0.0000000000000000000000000;
    A[117] = A[39];
    A[123] = 0.0000000000000000000000000;
    A[120] = 0.0000000000000000000000000;
    A[48] = A[4];
  }

  void tabulate_tensor(double* const A,
                       const double* const* w,
                       const ufc::cell& c,
                       unsigned int num_quadrature_points,
                       const double* const* quadrature_points,
                       const double* quadrature_weights) const
  {
    assert(0 && "This function is not implemented!");
  }
};

extern "C" ufc::cell_integral* newExcafeCellIntegral_0()
{
  return new ExcafeCellIntegral_0();
}
